#include <bits/stdc++.h>
using namespace std;
int main()
{
    int t,k;
    cin>>t;
int n;
cin >> n;
cin>>k;
vector<int> a(n);
for (int i = 0; i < n; i++)
cin >> a[i];
    cout<<"NE"<<endl;
for (int i = 0; i < n; i++)
cout<< a[i]<<" ";
    return 0;
}